internal::emit_element< N > Struct Template Reference

`#include <_flow_graph_node_impl.h>`

Collaboration diagram for internal::emit_element< N >:

## Static Public Member Functions

template<typename T , typename P >
static task * | emit_this (graph &g, const T &t, P &p)

## Detailed Description

### template<int N>
struct internal::emit_element< N >

Definition at line 731 of file _flow_graph_node_impl.h.

## Member Function Documentation

## emit_this()

template<int N>
template<typename T , typename P >

static task* internal::emit_element< N >::emit_this | ( | graph & | g,
|  | const T & | t,
|  | P & | p
| ) |  |

inline static

Definition at line 733 of file _flow_graph_node_impl.h.

{
// TODO: consider to collect all the tasks in task_list and spawn them all at once
task* last_task = tbb::flow::get<N-1>(p).try_put_task(tbb::flow::get<N-1>(t));
check_task_and_spawn(g, last_task);
return emit_element<N-1>::emit_this(g,t,p);
}
task
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task * task
Definition: ittnotify_static.h:119
p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91
internal::check_task_and_spawn
void check_task_and_spawn(graph &g, task *t)
Definition: _flow_graph_node_impl.h:723
internal::emit_element::emit_this
static task * emit_this(graph &g, const T &t, P &p)
Definition: _flow_graph_node_impl.h:733

References internal::check_task_and_spawn(), p, and task.

Referenced by tbb::flow::interface11::split_node< TupleType, Allocator >::try_put_task().

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this struct was generated from the following file:

- _flow_graph_node_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.